JobSub - Bug #11734

Provide better error message when condor_q fails
02/15/2016 05:15 PM - Kevin Retzke

Status: Closed Start date: 02/15/2016
Priority: Normal Due date:

Assignee: Dennis Box % Done: 0%
Category: Estimated time: 0.00 hour
Target version: vi.2.1 Spent time: 0.00 hour
First Occurred: Stakeholders:

Occurs In: v1.1.9.1

Description

From INC000000664793:

<dunegpvm06> jobsub_g —--user=lebrun
Traceback (most recent call last):

File "/opt/jobsub/server/webapp/condor_commands.py", line 217, in ui_condor_g

jobs, cmd_err = subprocessSupport.iexe_cmd (cmd)
File "/opt/jobsub/server/webapp/subprocessSupport.py", line 82, in iexe_cmd
raise CalledProcessError (exitStatus, cmd, output="\nEXITCODE:%s\nSTDOUT:%s\nSTDERR:%s" % (exit

Status, stdoutdata, stderrdata))
CalledProcessError: Command 'condor_g -name fifebatch2.fnal.gov ~—format '$-37s' 'regexps (" ((.+)\#
(.+)\#(.+))",globaljobid, "\3@\2 ")' —format ' %-14s ' Owner —format ' %$-11s ' 'formatTime (QDate
,"sm/%d $H:$M") ' —format '%3d+' 'int ( ifthenelse (JobStartDate=?=UNDEFINED, O, ifthenelse (Completio
nDate==0, ServerTime-JobStartDate, CompletionDate-JobStartDate)) /(3600*24))' —format '%02d’' 'int (
ifthenelse (JobStartDate=?=UNDEFINED, 0, ifthenelse (CompletionDate==0, ServerTime-JobStartDate,Comple
tionDate—-JobStartDate)) /3600)-int (24*INT( ifthenelse (JobStartDate=?=UNDEFINED, 0, ifthenelse (Comple
tionDate==0, ServerTime-JobStartDate, CompletionDate-JobStartDate)) /(3600*24)))' —format ':%02d"'
'int ( ifthenelse (JobStartDate=?=UNDEFINED, 0, ifthenelse (CompletionDate==0, ServerTime-JobStartDate,C
ompletionDate-JobStartDate)) /60)-int (60*INT (INT( ifthenelse (JobStartDate=?=UNDEFINED,0,ifthenelse
(CompletionDate==0, ServerTime-JobStartDate, CompletionDate-JobStartDate)) /60)/60))' —format ':%02
d’ ' ifthenelse (JobStartDate=?=UNDEFINED, 0, ifthenelse (CompletionDate==0, ServerTime-JobStartDate,C
ompletionDate-JobStartDate)) —-int (60*int ( ifthenelse (JobStartDate=?=UNDEFINED, 0, ifthenelse (Complet
ionDate==0, ServerTime-JobStartDate, CompletionDate-JobStartDate)) /60))' —format ' %-2s' 'ifThenE
lse (JobStatus==0, "U",ifThenElse (JobStatus==1,"I",ifThenElse (TransferringInput=?=True, "<",ifThenEls
e (TransferringOutput=?=True, ">", ifThenElse (JobStatus==2, "R", ifThenElse (JobStatus==3, "X", ifThenElse
(JobStatus==4,"C",ifThenElse (JobStatus==5,"H", ifThenElse (JobStatus==6,"E", string (JobStatus))))))))

))' —format '%$3d ' JobPrio —~format ' %$4.1f ' ImageSize/1024.0 —format '%$-30s ' 'regexps (".*\/
(.+)",cmd,"\1")' —format '\n' Owner —constraint 'True && Owner=="lebrun" && True && True' ' r
eturned non-zero exit status 1:

EXITCODE:1

STDOUT :

STDERR:

—— Failed to fetch ads from: <131.225.67.139:9615?addrs=131.225.67.139-9615&noUDP&sock=1554778_02d
e> : fifebatch2.fnal.gov

SECMAN:2007:Failed to end classad message.

<dunegpvm06>

~ 5 min. later,

<dunegpvm06> jobsub_g --user=lebrun
JOBSUBJOBID OWNER SUBMITTED RUN_TIME ST PRI SIZE CMD

<dunegpvm06>

This is a lot of noise the user shouldn't have to wade through due to a failure in the inner workings (from the user's perspective) of
JobSub.

Related issues:
Copied to JobSub - Bug #17604: Provide better error message when condor_g fails Closed 02/15/2016
History

#1 - 03/10/2016 03:42 PM - Dennis Box
- Assignee set to Dennis Box

- Target version set to v1.2.1

#2 - 03/10/2016 03:45 PM - Dennis Box

- Status changed from New to Resolved

#3 - 07/07/2016 10:13 AM - Dennis Box

- Status changed from Resolved to Closed

#4 - 08/28/2017 04:55 PM - Kevin Retzke
- Copied to Bug #17604: Provide better error message when condor_q fails added
